KDE 4.2 e Qt

Mar, 10/02/2009 - 19:56

KDE 4.2 e Qt

Inviato da xeniga 41 commenti

Proprio ieri è stata pubblicata la notizia che le nuove qt 4.5 sono incompatibili con alcune caratteristiche di kde 4.2..

Le nuove qt 4.5 verranno aggiunte al repository KDE:Qt di conseguenza le qt 4.4 saranno reperibili nel repository KDE:Qt44
Per non avere un ambiente grafico incompatibile con le nuove librerie è consigliabile la sostituzione dei repository in quanto il cambiamento avverrà a giorni..

Sia sul cambiamento dei repository che sull'incompatibilità descritta la fonte è crismon's blog:
* http://www.crismonblog.org/news/repository-kde-qt-importanti-cambiamenti-in-vista.html
* http://www.crismonblog.org/news/kde-4.2-problemi-con-qt-4.5.html

buon kde 4.2 ciauuuu


In:



Commenti

Ritratto di xeniga
#1

Inviato da xeniga il Lun, 23/02/2009 - 22:47.

Re: KDE 4.2 e Qt

allora non ce l avevo solo io sto problema del gestore pacchetti...
bisogna vedere se portando libqt-qt3support alla vecchia versione il problema si risolve....



Ritratto di alfiomosca
#2

Inviato da alfiomosca il Mar, 24/02/2009 - 10:06.

Re: KDE 4.2 e Qt

@Crismon Ho segnalato il bug alla squadra di plasma, ma per avere più informazioni ora installo anche libqt4-debuginfo e faccio crashare un po' plasma... Thinking



Ritratto di anubis
#3

Inviato da anubis il Mar, 24/02/2009 - 11:44.

Re: KDE 4.2 e Qt

ragazzi, scusatemi, è da un pò che seguo queste discussioni su qt, non qt, ho aggiornato le nuove qt e non va più nulla ecc....

le librerie QT sono tra le più importanti, yast è scritto in QT4 (la gui ovviamente) tutto KDE4 è compilato sulle QT4 come tante altre applicazioni... adesso.. mi sembra normale che un aggiornamento di queste librerie, nel momento in cui si presenti una incompatibilità, possa distruggere l'intero sistema grafico....

io mi sono limitato ad aggiungere il repo kdekde4:factory:bla bla bla...

kde va benissimo, e mai avuti altri problemi

quindi a mio parere due sono le cose...

o vi ricompilate TUTTO sulle nuove librerie, oppure, cercate di evitare il più possibile di passare a nuove versioni.

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el



Ritratto di alfiomosca
#4

Inviato da alfiomosca il Mar, 24/02/2009 - 12:08.

Re: KDE 4.2 e Qt

Il problema che ho sollevato io, almeno nel mio caso si presenta con le Qt 4.4 "stabili" che avevo, e per provare ho provato anche con le 4.5 che mi pare non siano ancora definitive. Ovviamente non parlo dello schermo che diventa nero con effetti abilitati ...



Ritratto di Crismon
#5

Inviato da Crismon il Mar, 24/02/2009 - 14:10.

Re: KDE 4.2 e Qt

Per le Qt 4.5 che repository avere utilizzato? Non dimenticate che Qt 4.5 è rilasciata in versione RC....

Io non ho nessun problema..per lo meno non riscontro grattacapi degni di lamentela...

www.crismonblog.org | Un blog targato openSUSE



Ritratto di alfiomosca
#6

Inviato da alfiomosca il Mar, 24/02/2009 - 14:39.

Re: KDE 4.2 e Qt

Per Qt 4.5 io attingo qui:
ftp5.gwdg.de/pub/opensuse/repositories/KDE:/Qt45/openSUSE_11.1/
E il gestore di pacchetti funziona correttamente, in pieno stile Qt4



Ritratto di xeniga
#7

Inviato da xeniga il Mar, 24/02/2009 - 14:42.

Re: KDE 4.2 e Qt

anche in KDE:QT sono quelli...
adesso provo a vedere se il problemino è di libqt-qt3support....



Ritratto di xeniga
#8

Inviato da xeniga il Mar, 24/02/2009 - 15:13.

Re: KDE 4.2 e Qt

il segnale che mi da è...

YaST got signal 11 at YCPfile /usr/share/YaST2/clients/inst_packages.ycp:36
/sbin/yast2:line 421: 4094 Segmentation fault $ybindir/y2base $module "$@" "$Y"_GEOMETRY $Y2UT_ARGS

ho appena aggiornato e al solito il gestore parte con la barra e quando deve avviarsi scompare...



Ritratto di alfiomosca
#9

Inviato da alfiomosca il Mar, 24/02/2009 - 15:19.

Re: KDE 4.2 e Qt

Io ho installato la 11.1 da pochi giorni, e mi pare di aver visto un aggiornamento riguardante lo stesso yast, controlla un po', ma sicuramente l'hai già installato



Ritratto di xeniga
#10

Inviato da xeniga il Mar, 24/02/2009 - 15:26.

Re: KDE 4.2 e Qt

sono tornato alle qt 4.4.3...comunque no su opensuse 11 ho già l ultima versione di yast2 da repo UPDATE....